Opened 14 years ago

Closed 13 years ago

Last modified 7 months ago

#2320 closed defect (fixed)

MAC: ScummVM 0.8.0 fails to launch

Reported by: SF/ricardo78 Owned by: fingolfin
Priority: normal Component: Port: Mac OS X
Keywords: Cc:
Game:

Description

The new version of ScummVM (0.8.0) for OS X does not launch.
Icon appears briefly in the Dock and then disappears. Here is the
text from the crash log:

Host Name: Ricardo-iBook
Date/Time: 2005-10-31 08:54:03.001 -0500
OS Version: 10.4.2 (Build 8C46)
Report Version: 3

Command: scummvm
Path: /Applications/ScummVM/ScummVM.app/Contents/MacOS/
scummvm
Parent: WindowServer [59]

Version: 0.8.0 (0.8.0)

PID: 3695
Thread: Unknown

Link (dyld) error:

incompatible cpu-subtype

Ticket imported from: #1343971. Ticket imported from: bugs/2320.

Change History (22)

comment:1 Changed 14 years ago by (none)

On Jaguar (10.2.8) it also fails, but this time because it
cannot open the library /usr/lib/libstdc++.6.dylib, which is
only present in later versions of Mac OS X.

comment:2 Changed 14 years ago by fingolfin

Owner: set to fingolfin

comment:3 Changed 14 years ago by fingolfin

ashitaka, that's a totally different issue.

Ricardo, is that the full crash log? If so, please state more information
about your hardware (what kind of iBook is that? What processor?)

comment:4 Changed 14 years ago by SF/ricardo78

My iBook is a G3 900 Mhz (12"). Here is the info as it appears in
System Profiler:

Machine Name: iBook
Machine Model: PowerBook4,3
CPU Type: PowerPC 750 (2.3)
Number Of CPUs: 1
CPU Speed: 900 MHz
L2 Cache (per CPU): 512 KB
Memory: 640 MB
Bus Speed: 100 MHz
Boot ROM Version: 4.6.4f1

comment:5 Changed 14 years ago by SF/ricardo78

I have also just updated the OS to version 10.4.3 (Build 8F46), but
ScummVM still does not launch.

comment:6 Changed 14 years ago by fingolfin

Could you please try again with 0.8.0a (I just posted that): <http://
osdn.dl.sourceforge.net/scummvm/scummvm-0.8.0a-macosx.dmg>

OS X 10.4.3 can't help, the fact that you have a G3 processor is the
problem. Not sure if the new build fixes that or not. Sadly nobody I know
still has a G3 machine, so I can't test this myself...

comment:7 Changed 14 years ago by SF/ricardo78

Just tried the new build, but it still doesn't work. Guess I'll have to stick
with version 0.7.1

comment:8 Changed 14 years ago by SF/sageofminerva

I am getting an identical crash log as ricardo using nearly identical
hardware and software when using both 0.8.0 and 0.8.0a:

**********

Host Name: Cicero
Date/Time: 2005-11-01 20:14:12.064 -0500
OS Version: 10.4.3 (Build 8F46)
Report Version: 3

Command: scummvm
Path: /Volumes/ScummVM 0.8.0a/ScummVM.app/Contents/MacOS/
scummvm
Parent: WindowServer [61]

Version: 0.8.0a (0.8.0a)

PID: 5398
Thread: Unknown

Link (dyld) error:

incompatible cpu-subtype

*****

System Software Overview:

System Version: Mac OS X 10.4.3 (8F46)
Kernel Version: Darwin 8.2.0

Hardware Overview:

Machine Name: iBook
Machine Model: PowerBook4,3
CPU Type: PowerPC 750 (2.2)
Number Of CPUs: 1
CPU Speed: 800 MHz
L2 Cache (per CPU): 512 KB
Memory: 640 MB
Bus Speed: 100 MHz
Boot ROM Version: 4.5.4f1
Serial Number: UV2520D3N5C

comment:9 Changed 14 years ago by SF/jim_banks

Well this bug report intrigues me. I have a G3 iBook (800Mhz) and
ScummVM seems to run fine for me. I've tried and successfully run
v0.8.0a (downloaded this morning), a version of 0.8.0 that I compiled
myself and the latest version compiled from todays CVS snapshot. I'm still
running 10.3.9 maybe this is why I'm not getting any problems.

Cheers,

Jim

comment:10 Changed 14 years ago by fingolfin

Yeah, I am wondering about this, too.

Techincally, ScummVM contains Altivec code, which doesn't
work on G3 machines, of course. However, we follow standard
procedures (based on Apple's example code) to only
conditionally use it -- i.e. if you don't have an Altivec
enabled system, the Altivec code isn't used. Hence there is
no deep techincal reason why it shouldn't run.

So my only guess is that for some reason 10.4.x is overeager
in protecting the user from running potentially "bad"
software... Hrm. I'll tryy and see if I can find out a bit
more about this "error".

comment:11 Changed 14 years ago by SF/spmaniac

The same problem occurs on my iBook G3 800
scummvm 0.8.0a
MacOSX 10.4.3
SDL 1.2.9 (stable)

Here the details:

Console log:

Host Name: iBookSPM
Date/Time: 2005-11-03 14:34:56.310 +0100
OS Version: 10.4.3 (Build 8F46)
Report Version: 3

Command: scummvm
Path: /Volumes/ExtStuff/Games/ScummVM/ScummVM.app/
Contents/MacOS/scummvm
Parent: WindowServer [113]

Version: 0.8.0a (0.8.0a)

PID: 834
Thread: Unknown

Link (dyld) error:

incompatible cpu-subtype

***********************************
And System Profiler:

Hardware Overview:

Machine Name: iBook
Machine Model: PowerBook4,3
CPU Type: PowerPC 750 (2.2)
Number Of CPUs: 1
CPU Speed: 800 MHz
L2 Cache (per CPU): 512 KB
Memory: 640 MB
Bus Speed: 100 MHz
Boot ROM Version: 4.5.4f1

I hope you can fix the problem, cause the new features are interesting!

GL

comment:12 Changed 14 years ago by fingolfin

I may have found a solution for the problem. If any of your could download
the test built from <http://scummvm.org/downloads/scummvm-g3-test.zip>
and tell me whether it helps... thanks!

comment:13 Changed 14 years ago by fingolfin

Oh and if you can actually start this build of scummvm -- could you please
also test the hq2x / hq3x scalers and see whether they work properly for
you? Thanks again.

comment:14 Changed 14 years ago by SF/sageofminerva

The new build launches just fine. I'm not quite sure what you were looking for
with the hq2x/hq3x filters, but I tested them and they looked much cleaner
than the screenshots in the bug report.

comment:15 Changed 14 years ago by SF/ricardo78

The test build works on my computer. Scalars appear to be working fine.
Thank you so much. Let me know if you need any other testing done.

comment:16 Changed 14 years ago by SF/thesicksadtaco

New build works fine, thanks.

comment:17 Changed 14 years ago by SF/spmaniac

Also, works fine here on my G3 b/w and my iBook, thank you very much!
No problems with the hq2x/hq3x filters on a quick test. The GUI is much
better in 0.8.0 now.
Keep up your good work!

comment:18 Changed 14 years ago by fingolfin

Thanks for the tests. I'll either make a 0.8.0b, or wait till we have 0.8.1
ready.

comment:19 Changed 14 years ago by SF/jim_banks

Out of interest, what was causing the problem with the 10.4 systems?
Was it a simple compile flag fix or something more complicated?

Jim

comment:20 Changed 13 years ago by fingolfin

GCC 4 sets too high cpu-subtype values by default, so I had to override it with a
switch. This'll be done automatically for future builds.

comment:21 Changed 13 years ago by fingolfin

Resolution: fixed
Status: newclosed

comment:22 Changed 7 months ago by digitall

Component: --Unset--Port: Mac OS X
Note: See TracTickets for help on using tickets.